"Nerd Commenter
let g:NERDCreateDefaultMappings = 1
let g:NERDSpaceDelims = 1
let g:NERDCompactSexyComs = 1
let g:NERDDefaultAlign = 'left'
let g:NERDAltDelims_java = 1
let g:NERDCustomDelimiters = { 'css': { 'left': '/**', 'right': '*/' } }
let g:NERDCommentEmptyLines = 1
let g:NERDTrimTrailingWhitespace = 1
let g:NERDToggleCheckAllLines = 1

"Nerdtree
let NERDTreeQuitOnOpen=1
if empty(argv())
    autocmd VimEnter * NERDTree
endif
autocmd BufEnter * if tabpagenr('$') == 1 && winnr('$') == 1 && exists ('b:NERDTree') && b:NERDTree.isTabTree() | quit | endif

nnoremap <leader>n	:NERDTreeFocus<CR>
nnoremap <C-n>		:NERDTree<CR>
nnoremap <C-t>		:NERDTreeToggle<CR>
nnoremap <C-f>		:NERDTreeFind<CR>

" Indentline
let g:indentLine_enabled = 1
let g:indentLine_char_list = ['|', '¦', '┆', '┊']

" Airline
let g:airline_theme = 'onedark'
let g:airline_powerline_fonts = 1
let g:airline#extensions#tabline#enabled = 1

" Floaterm
let g:floaterm_keymap_new		= '<F5>'
let g:floaterm_keymap_next		= '<F6>'
let g:floaterm_keymap_prev		= '<S-F6>'
let g:floaterm_keymap_toggle	= '<F8>'
let g:floaterm_keymap_kill		= '<S-F5>'
