let g:onedark_terminal_italics=1
let g:onedark_termcolors=256

if (has("autocmd") && !has("gui_running"))
	augroup colorset
		autocmd!
		let s:white = { "gui": "#dde7f7", "cterm": "145", "cterm16": "7" }
		let s:green = { "gui": "#50fa7b", "cterm": "83", "cterm16": "10" }
		let s:purple = { "gui": "#bd93f9", "cterm": "141", "cterm16": "4" }
		let s:red = { "gui": "#ff5555", "cterm": "203", "cterm16": "1" }
		let s:pale_yellow = { "gui": "#ffffa5", "cterm": "229", "cterm16": "11" }
		autocmd ColorScheme * call onedark#set_highlight("Normal", { "fg": s:white })
		autocmd ColorScheme * call onedark#set_highlight("Constant", { "fg": s:green })
		autocmd ColorScheme * call onedark#set_highlight("String", { "fg": s:pale_yellow })
		autocmd ColorScheme * call onedark#set_highlight("Identifier", { "fg": s:green, "gui": "italic", "cterm": "italic" })
	augroup END
endif

colorscheme onedark
