alias ls='ls --color=auto'
alias ll='ls --color=auto -lh'
alias l.='ls --color=auto -d .*'

alias diff='diff --color=auto'
alias grep='grep --color=auto'
alias ip='ip -color=auto'
alias pupdate='paru -Syu --devel'

alias cd='z'
alias mkcd='mkdir $@ && cd $_'

# Systemctl and journalctl
alias sstart='systemctl restart'
alias sstatus='systemctl status'
alias sstop='systemctl stop'
alias ju='journalctl -xeu'
alias jfu='journalctl -fu'

# dmesg
alias dmesg='sudo dmesg --color=always | bat'

# Docker
alias compose-reload='docker-compose down && docker-compose up -d'
alias compose-up='docker-compose up -d'
alias compose-down='docker-compose down'
alias compose-pull='docker-compose pull'

# Kitty Commands
alias edit='edit-in-kitty'
alias s='kitty +kitten ssh'
alias lsh='ls --hyperlink=auto'
alias send='kitty +kitten transfer'
alias recv='kitty +kitten transfer --direction=receive'
