require('onedark').setup {
  style = 'cool',
  transparent = false,
  term_colors = true,
  ending_tildes = true,
  cmp_itemkind_reverse = false,

  -- toggle theme style --
  toggle_style_key = nil,
  toggle_style_list = {'dark', 'darker', 'cool', 'deep', 'warm', 'warmer', 'light'},

  -- change code style --
  code_style = {
    comments = 'italic',
    keywords = 'italic',
    functions = 'italic',
    strings = 'italic',
    variables = 'italic'
  },
  lualine = {
    transparent = false,
  },

  colors = {},
  highlights = {},

  diagnostics = {
    darker = true,
    undercurl = true,
    background = true,
  },
}
require('onedark').load()
